> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an invitation with an invite code

> Create an invitation with an invite code



## OpenAPI

````yaml /api/specs/identity-api.json post /identity/v1/invitations
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for identity service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /identity/v1/invitations:
    post:
      tags:
        - Invitation
      summary: Create an invitation with an invite code
      description: Create an invitation with an invite code
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInvitationParams'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Invitation'
        '400':
          description: Bad Request
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
      security:
        - jwt: []
components:
  schemas:
    CreateInvitationParams:
      type: object
      required:
        - driverId
        - code
      properties:
        driverId:
          type: string
        code:
          type: string
    Invitation:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - PRIVATE_CHARGING
            - PRICE_ADJUSTMENT
        referenceId:
          type: string
        driverId:
          type: string
        status:
          type: string
          enum:
            - PENDING_APPROVAL
            - APPROVED
            - DENIED
        network:
          type: object
          properties:
            id:
              type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - type
        - referenceId
        - driverId
        - status
        - network
        - createdAt
        - updatedAt
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````